> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v3producers

> Returns a list of dictionaries with key information for producers



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/producers/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/producers/:
    get:
      tags:
        - producers
      description: Returns a list of dictionaries with key information for producers
      operationId: producers_list
      parameters:
        - in: query
          name: saas_customer_lead_id
          schema:
            type: string
          description: >-
            Additional tracking ID to identify the customer in the
            salespartner's system
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProducerList'
              examples:
                SuccessExampleResponse:
                  value:
                    - saas_customer_id: customer_id
                      saas_customer_lead_id: E20581C5-F71F-11ea-9344-005056B1779F
                      company: false
                      prosumer: null
                  summary: Success Example Response
          description: ''
components:
  schemas:
    ProducerList:
      type: object
      properties:
        saas_customer_id:
          type: string
        saas_customer_lead_id:
          type: string
        company:
          type: boolean
        prosumer:
          type: string
          nullable: true
          description: returns the customer id of related consumer
          readOnly: true
      required:
        - company
        - prosumer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.